package com.pan_american.android.ui.resource_management.service_resource

import android.os.Bundle
import com.pan_american.android.base.BaseActivity
import com.pan_american.android.databinding.ActivityAddServiceResourceBinding
import com.pan_american.android.databinding.LayoutTitleBinding

class AddServiceResourceActivity : BaseActivity<ActivityAddServiceResourceBinding>() {

    private lateinit var titleBinding: LayoutTitleBinding

    override fun getViewBinding() = ActivityAddServiceResourceBinding.inflate(layoutInflater)

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        screenAdaptation(binding)

        titleBinding = LayoutTitleBinding.bind(binding.root)

        initEvents()
    }

    override fun initEvents() {

        titleBinding.backButton.setOnClickListener {
            back()
        }

    }
}